Skip to main content
POST
cURL

Field support per integration

If you’re not using the Interactive Authentication Flow, make sure the query parameters environmentName and companyId are correctly populated. You can obtain these values by using the GET Environments and GET Companies endpoints available under the Authentication section.
Supported response fields:
Address[]
string
required
enum
Available options (3-letter ISO 4217): AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYR, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CUC, CVE, CZK, DJF, DKK, DOP, DZD, EEK, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GQE, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LVL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRO, MUR, MVR, MWK, MXN, MYR, MZM, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SYP, SZL, THB, TJS, TMT, TND, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VEB, VND, VUV, WST, XAF, XCD, XDR, XOF, XPF, YER, ZAR, ZMK, ZWR
LineItem[]
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
As a minimum a valid contactId OR a name and countryCode must be provided. We recommend to always provide a valid address in addition in the latter case
The offer is always created as a draft in Lexware Office. A status provided in the request is ignored.
The response only contains id, createdDate and updatedDate. Use the GET Offer endpoint with the returned id to retrieve the full offer.
Supported request parameters:
Address[]
Only one address is supported. Further entries in addresses are ignored.
string
enum
required
The currency field supports ISO 4217 (3-letter codes). For details visit the Standardized Data section.Note that Lexware Office only accepts EUR.
string
required
For date format details visit the Standardized Data section.
LineItem[]
required
string
string
required
For date format details visit the Standardized Data section.
enum
required
Available options:net, gross, vatfree, intraCommunitySupply, constructionService13b, externalService13b, thirdPartyCountryService, thirdPartyCountryDelivery
number
number
number

Headers

X-API-KEY
string

API key

X-ACCOUNT-KEY
string

Account key

Query Parameters

companyId
string
environmentName
string

Body

application/json
addresses
object[]
contactId
string
Example:

"eaa28f49-6028-4b6e-bb12-d8f6278073fc"

currency
enum<string>
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYR,
BZD,
CAD,
CDF,
CHF,
CLP,
CNY,
COP,
CRC,
CUC,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EEK,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GQE,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LTL,
LVL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRO,
MUR,
MVR,
MWK,
MXN,
MYR,
MZM,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VEB,
VND,
VUV,
WST,
XAF,
XCD,
XDR,
XOF,
XPF,
YER,
ZAR,
ZMK,
ZWR
Example:

"EUR"

lineItems
object[]
name
string
Example:

"Trey Research"

offerDate
string
Example:

"2021-01-01T00:00:00Z"

offerNumber
string
Example:

"1001"

reference
string
Example:

"RCXF197253F"

status
enum<string>
Available options:
DRAFT,
SENT,
ACCEPTED,
VOIDED,
DECLINED,
EXPIRED
Example:

"DRAFT"

taxText
string
Example:

"Tax 19 percent"

totalDiscountAmount
number

Total discount applied, in the document currency.

Example:

10

totalDiscountPercentage
number

Total discount applied, as a percentage.

Example:

10

totalGrossAmount
number

Gross total — the net amount plus tax (the total payable, including VAT).

Example:

109

totalNetAmount
number

Net total — the sum of all line amounts before tax (excluding VAT).

Example:

100

totalTaxAmount
number

Tax (VAT) total — the difference between the gross and net totals.

Example:

19

Response

200 - application/json
meta
object
data
object
Last modified on September 4, 2026